summaryrefslogtreecommitdiffstats
path: root/testing/perdition/perdition.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2011-05-11 06:18:24 +0000
committerLeonardo Arena <rnalrd@gmail.com>2011-05-11 06:18:24 +0000
commitde82a410d7c65302de84b70d70dbfc50e304d451 (patch)
tree03c737134ccdbe149e2cba32b7a9d8eb4c51e1cd /testing/perdition/perdition.initd
parent07fcabcbeb610c1c0746d8926972f35f1f5e7553 (diff)
testing/permission: new aport
A Mail retrieval proxy
Diffstat (limited to 'testing/perdition/perdition.initd')
-rw-r--r--testing/perdition/perdition.initd76
1 files changed, 76 insertions, 0 deletions
diff --git a/testing/perdition/perdition.initd b/testing/perdition/perdition.initd
new file mode 100644
index 00000000000..0242169c4b7
--- /dev/null
+++ b/testing/perdition/perdition.initd
@@ -0,0 +1,76 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-mail/perdition/files/perdition.initd,v 1.2 2008/06/10 18:28:27 dertobi123 Exp $
+
+depend() {
+ need net
+}
+
+
+check_key() {
+ if [ ! -e /etc/perdition/perdition.crt.pem ] ; then
+ einfo "No SSL keys; see man perdition to create them. Or run: "
+ einfo "$ openssl req -new -x509 -nodes -out /etc/perdition/perdition.crt.pem -keyout /etc/perdition/perdition.key.pem -days 365"
+ return 1
+ fi
+}
+
+start() {
+ if [ "${POP3}" = "yes" ]; then
+ ebegin "Starting perdition services (POP3)"
+ start-stop-daemon --quiet --start --startas /usr/sbin/perdition.pop3 -p ${PIDDIR}/pop3.pid \
+ -- ${FLAGS} ${POP3_FLAGS} -u ${PERDITION_USER} --pid_file ${PIDDIR}/pop3.pid
+ eend $?
+ fi
+
+ if [ "${POP3S}" = "yes" ]; then
+ check_key || return 1
+ ebegin "Starting perdition services (POP3S)"
+ start-stop-daemon --quiet --start --startas /usr/sbin/perdition.pop3s -p ${PIDDIR}/pop3s.pid \
+ -- ${FLAGS} ${POP3S_FLAGS} -u ${PERDITION_USER} --pid_file ${PIDDIR}/pop3s.pid
+ eend $?
+ fi
+
+ if [ "${IMAP4}" = "yes" ]; then
+ ebegin "Starting perdition services (IMAP4)"
+ start-stop-daemon --quiet --start --startas /usr/sbin/perdition.imap4 -p ${PIDDIR}/imap4.pid \
+ -- ${FLAGS} ${IMAP4_FLAGS} -u ${PERDITION_USER} --pid_file ${PIDDIR}/imap4.pid
+ eend $?
+ fi
+
+ if [ "${IMAP4S}" = "yes" ]; then
+ check_key || return 1
+ ebegin "Starting perdition services (IMAP4S)"
+ start-stop-daemon --quiet --start --startas /usr/sbin/perdition.imap4s -p ${PIDDIR}/imap4s.pid \
+ -- ${FLAGS} ${IMAP4S_FLAGS} -u ${PERDITION_USER} --pid_file ${PIDDIR}/imap4s.pid
+ eend $?
+ fi
+}
+
+
+stop() {
+ if [ "${POP3}" = "yes" ]; then
+ ebegin "Shutting down perdition services (POP3)"
+ start-stop-daemon -o --quiet --stop --pidfile ${PIDDIR}/pop3.pid
+ eend $?
+ fi
+
+ if [ "${POP3S}" = "yes" ]; then
+ ebegin "Shutting down perdition services (POP3S)"
+ start-stop-daemon -o --quiet --stop --pidfile ${PIDDIR}/pop3s.pid
+ eend $?
+ fi
+
+ if [ "${IMAP4}" = "yes" ]; then
+ ebegin "Shutting down perdition services (IMAP4)"
+ start-stop-daemon -o --quiet --stop --pidfile ${PIDDIR}/imap4.pid
+ eend $?
+ fi
+
+ if [ "${IMAP4S}" = "yes" ]; then
+ ebegin "Shutting down perdition services (IMAP4S)"
+ start-stop-daemon -o --quiet --stop --pidfile ${PIDDIR}/imap4s.pid
+ eend $?
+ fi
+}